changing svn version that team city uses

Hi,

How do I configure team city to use the same version of svn that our scripts use when they run. It seems that team city checks out with 1.4 but our scripts are setup to use 1.3.

Florian

2 comments

Hello,

TeamCity uses Java library (SVNKit) to create Subversion working copies. By default, this library upgrades working copy to the new format (1.4). It is possible to disable upgrade by setting Java System property "svnkit.upgradeWC" to "false".

I think next version of TeamCity could include UI option that will ease control over this feature.

Thanks,
Alexander Kitaev.

0

Hi,

I tried to use the hint provided here after running into:

svn] svn: This client is too old to work with working copy ...
svn] Can't commit file ...


I started the Agent again with Agent opts that resulted in:

../TeamCityAgent/jre/bin/java -Dsvnkit.upgradeWC=false -ea -Xmx384m....

Still I get the same error during Ant script execution.
Subversion system reports version is 1.3.1.

Anything I missed?

Thanks in advance.

Gei

0

Please sign in to leave a comment.